[General]
BaudRate=0
WaitForAutobaud=1000
ModemInfFile=MotoMdm.inf
ModemInfFileSection=Motorola
ModemHardwareID=UNIMODEMDEBC3E9F
ShowWarningMsg=3
Link=2
BTSetup=1

[Custom]
BTAdapter=Motorola

[SoftModem]
Name=BVRP CAPI Softmodem

[Step1]
StringSent=AT+CPBS=?
Comment=Detect Extended Cellular Modem (1st step)
Reply1=+CPBS
PartialReply1=1
Action1=STEP2
OtherAction=STEP5

[Step2]
StringSent=AT+CMGF=?
Comment=Detect GSM Mode (Text or PDU)
Reply1=0
PartialReply1=1
Action1=Step3
Reply2=1
PartialReply2=1
Action2=STEP4
OtherAction=END

[Step3]
StringSent=AT+CSQ=?
Comment=Detect GSM Extended Features
Reply1=+CSQ
PartialReply1=1
Action1=GSM_EXT2
OtherAction=GSM_EXT

[Step4]
StringSent=AT+CSCA=?
Comment=Detect GSM Text Mode (with CSCA or not)
Reply1=0K
PartialReply1=1
Action1=GSM_TXT2
OtherAction=GSM_TXT

[Step5]
StringSent=AT+CPMS=?
Comment=Detect Extended Cellular Modem (2nd step)
Reply1=+CPMS
PartialReply1=1
Action1=STEP2
OtherAction=STEP6

[STEP6]
StringSent=AT+FCLASS=8;+VLS=0
Comment=Detect IS101 Voice Modem
Reply1=OK
PartialReply1=1
Action1=STEP7
OtherAction=STEP17

[STEP7]
StringSent=AT%B0
Comment=Detect Motorola Voice Modem
Reply1=OK
Action1=STEP8
OtherAction=STEP9

[STEP8]
StringSent=AT+VLS=13
Comment=Detect Motorola Speakerphone Voice Modem
Reply1=OK
Action1=MOSM56SP
OtherAction=MOSM56VO

[STEP9]
StringSent=AT+VSP=1
Comment=Detect IS101 Speakerphone Voice Modem
Reply1=OK
Action1=STEP10
OtherAction=STEP14

[STEP10]
StringSent=AT+MS=V90
Comment=Detect Conexant Speakerphone Voice Modem
Reply1=OK
Action1=CON56HSF
OtherAction=STEP11

[STEP11]
StringSent=AT+MS=V34
Comment=Detect Rockwell Speakerphone Voice Modem
Reply1=OK
Action1=ROCKSP90
OtherAction=STEP12

[STEP12]
StringSent=AT+FMI?
Comment=Detect Lucent Speakerphone Voice Modem
Reply1=OK
PartialReply1=1
Action1=STEP13
OtherAction=END

[STEP13]
StringSent=ATI0
Comment=Detect Lucent Chipset Version
Reply1=56K
PartialReply1=1
Action1=LUCENTSP
Reply2=V.90
PartialReply2=1
Action2=LUCENTS2
OtherAction=END

[STEP14]
StringSent=AT+MS=V90
Comment=Detect Conexant Voice Modem
Reply1=OK
Action1=CON56VOI
OtherAction=STEP15

[STEP15]
StringSent=AT+MS=V34
Comment=Detect Rockwell Voice Modem
Reply1=OK
Action1=ROCKVO90
OtherAction=STEP16

[STEP16]
StringSent=AT+FMI?
Comment=Detect Lucent Voice Modem
Reply1=OK
PartialReply1=1
Action1=LUCENTVO
OtherAction=END

[STEP17]
StringSent=AT#CLS=8
Comment=Detect Voice Modem
Reply1=OK
PartialReply1=1
Action1=STEP18
OtherAction=STEP26

[STEP18]
StringSent=AT#IMA=1
Comment=Detect PCTEL Voice Modem
Reply1=OK
Action1=STEP19
OtherAction=STEP20

[STEP19]
StringSent=AT#SPK=0,05,1
Comment=Detect PCTEL SpeakerPhone Modem
Reply1=OK
PartialReply1=1
Action1=PCTEL34
OtherAction=PCTELVOI

[STEP20]
StringSent=AT&H1&R2&I0
Comment=Detect Texas Instrument Voice Modem
Reply1=OK
PartialReply1=1
Action1=TEXASINS
OtherAction=STEP21

[STEP21]
StringSent=AT#VLS=6
Comment=Detect Speakerphone Voice Modem
Reply1=OK
PartialReply1=1
Action1=STEP22
OtherAction=STEP24

[STEP22]
StringSent=AT+MS=56,1,300,56000,0,0
Comment=Detect Rockwell RCV56Acx Family Chipset
Reply1=OK
Action1=ROCKSPK1
OtherAction=STEP23

[STEP23]
StringSent=AT+MS=11,1,300,33600,0,0
Comment=Detect Rockwell RCV288Acx Family Chipset
Reply1=OK
Action1=ROCKSPK2
OtherAction=ROCKSP14

[STEP24]
StringSent=AT+MS=56,1,300,56000,0,0
Comment=Detect Non-Speakerphone Rockwell RCV56Acx Family Chipset
Reply1=OK
Action1=ROCKVO34
OtherAction=STEP25

[STEP25]
StringSent=AT#CLS=2
Comment=Detect Voice Class 2 Modem
Reply1=OK
Action1=ROCKWCL2
OtherAction=ROCKWCL1

[STEP26]
StringSent=AT#VS1
Comment=Detect Sierra Voice Modem (1st STEP)
Reply1=OK
PartialReply1=1
Action1=STEP27
OtherAction=STEP28

[STEP27]
StringSent=AT#SPM
Comment=Detect Sierra Voice Modem (2nd STEP)
Reply1=OK
PartialReply1=1
Action1=SIERRASP
OtherAction=STEP28

[STEP28]
StringSent=AT%B0
Comment=Detect Motorola Non-Voice Modem
Reply1=OK
Action1=MOSM56FD
OtherAction=STEP29

[STEP29]
StringSent=AT+MS=V34
Comment=Detect Non-Voice Conexant/Rockwell IS101 Modem
Reply1=OK
Action1=ROCKFD90
OtherAction=STEP30

[STEP30]
StringSent=AT+MS=56,1,300,56000,0,0
Comment=Detect Non-Voice Rockwell RCV56Acx Family Chipset
Reply1=OK
Action1=ROCKFD34
OtherAction=STEP31

[STEP31]
StringSent=AT&H1&R2&I0
Comment=Detect Non-Voice Texas Instrument Modem
Reply1=OK
PartialReply1=1
Action1=TEXASFD
OtherAction=STEP32

[STEP32]
StringSent=AT+FMI?
Comment=Detect Non-Voice Lucent Modem
Reply1=OK
PartialReply1=1
Action1=LUCENTFD
OtherAction=STEP33

[STEP33]
StringSent=AT+FCLASS=2
Comment=Detect Class 2 Modem
Reply1=OK
Action1=STEP34
OtherAction=STEP35

[STEP34]
StringSent=AT+FDCC=?
Comment=Detect Class 2 Capacities
Reply1=,(0-5),
PartialReply1=1
Action1=CL2_1434
Reply2=,(0-3),
PartialReply2=1
Action2=CL2_9632
OtherAction=STEP35

[STEP35]
StringSent=AT+FCLASS=1
Comment=Detect Class 1 Modem
Reply1=OK
Action1=STEP36
OtherAction=END

[STEP36]
StringSent=AT+FRM=?
Comment=Detect Class 1 Capacities
Reply1=,146
PartialReply1=1
Action1=CL1_1434
Reply2=,96
PartialReply2=1
Action2=CL1_9632
OtherAction=END
[Disk]
TdfDir=C:\Program Files\mobile PhoneTools
